%global beta_number b3

Summary:        Collection of tasks for Ant
Name:           ant-contrib
Version:        1.0
Release:        %mkrel 0.12.%{beta_number}.3
License:        ASL 2.0
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Java 
Source0:        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}%{beta_number}-src.tar.gz
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/%{name}/%{name}/%{version}%{beta_number}/%{name}-%{version}%{beta_number}.pom
Patch0:         ant-contrib-local-ivy.patch
Patch1:         ant-contrib-antservertest.patch

BuildRequires:  java-devel >= 1.4.2
BuildRequires:  java-rpmbuild
BuildRequires:  jpackage-utils >= 1.5

BuildRequires:  ant-junit >= 1.6.2
BuildRequires:  apache-ivy
BuildRequires:  bcel >= 5.0
BuildRequires:  junit >= 3.8.0
BuildRequires:  xerces-j2

Requires:       ant >= 1.6.2
Requires:       java >= 1.4.2
Requires:       jpackage-utils >= 1.5
Requires:       junit >= 3.8.0
Requires:       xerces-j2
BuildArch:      noarch

%description
The Ant-Contrib project is a collection of tasks
(and at one point maybe types and other tools)
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
Api documentation for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# needs porting to latest ivy
rm -fr src/java/net/sf/antcontrib/net/URLImportTask.java

%patch0 -p1
%patch1

%build

export CLASSPATH=$(build-classpath ivy)
ant dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 target/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/ant/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -rf build/docs/api

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
echo "ant/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.ant-%{name}.pom
sed -i 's|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|' $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.ant-%{name}.pom
%add_maven_depmap JPP.ant-%{name}.pom ant/%{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_sysconfdir}/ant.d/%{name}
%{_javadir}/ant/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc target/docs/LICENSE.txt
%doc target/docs/manual/tasks/*

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%doc %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.12.b3.3.mga3
+ Revision: 345592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1.0-0.12.b3.2.mga3
+ Revision: 316589
- update rpm group

* Fri Dec 16 2011 gil <gil> 1.0-0.12.b3.1.mga2
+ Revision: 182521
- fix ant groupId
- update to 1.0b3

* Mon Jan 24 2011 dmorgan <dmorgan> 1.0-0.11.b2.1.mga1
+ Revision: 35884
- Adapt for mageia
- imported package ant-contrib

